Bug 296958 - No indicator of ongoing search
Summary: No indicator of ongoing search
Status: RESOLVED FIXED
Alias: None
Product: Active
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Meego/Harmattan Linux
: NOR normal (vote)
Target Milestone: unscheduled
Assignee: active
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-28 11:51 UTC by Thomas Pfeiffer
Modified: 2012-05-25 17:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Pfeiffer 2012-03-28 11:51:11 UTC
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0.1) Gecko/20100101 Firefox/10.0.1
Build Identifier: 

Searches often take a while to perform. During that time, the search results area just shows nothing. Therefore users can't tell if it's still searching or if there where no results. Also often the results are not all shown at the same time but consecutively. all this makes for a lot of confusion.

Therefore we need an indicator that a search is going on.
Suggestion: Display our wait spinner next to the search box while a search is being performed.

Reproducible: Always

Steps to Reproduce:
1. Open anything that allows to search
2. Enter a search term
Actual Results:  
The results area is empty until something is found (or remains empty if nothing is found).

Expected Results:  
The user is made aware that the search is still happening.
Comment 1 Lamarque V. Souza 2012-04-03 01:33:35 UTC
Git commit 29301f97897f6ea46570e6e92bddd0657c13f802 by Lamarque V. Souza.
Committed on 03/04/2012 at 03:32.
Pushed by lvsouza into branch 'master'.

Add busy indicator to ViewSearch.qml to indicate ongoing search.

M  +2    -0    applications/filebrowser/package/contents/ui/Browser.qml
M  +6    -0    applications/imageviewer/package/contents/ui/Browser.qml
M  +5    -0    applications/videoplayer/package/contents/ui/Toolbar.qml
M  +23   -0    components/mobilecomponents/ViewSearch.qml
M  +3    -0    qmlpackages/launcher/contents/ui/main.qml
M  +4    -0    shell/widgetsexplorer/package/contents/ui/view.qml

http://commits.kde.org/plasma-mobile/29301f97897f6ea46570e6e92bddd0657c13f802
Comment 2 Lamarque V. Souza 2012-04-04 13:49:23 UTC
Git commit 8570cee0b694d0e8823e4ac24b12cac5bf024aeb by Lamarque V. Souza.
Committed on 03/04/2012 at 03:32.
Pushed by lvsouza into branch 'Active/2.1'.

Add busy indicator to ViewSearch.qml to indicate ongoing search.
(cherry picked from commit 29301f97897f6ea46570e6e92bddd0657c13f802)

M  +2    -0    applications/filebrowser/package/contents/ui/Browser.qml
M  +6    -0    applications/imageviewer/package/contents/ui/Browser.qml
M  +5    -0    applications/videoplayer/package/contents/ui/Toolbar.qml
M  +23   -0    components/mobilecomponents/ViewSearch.qml
M  +3    -0    qmlpackages/launcher/contents/ui/main.qml
M  +4    -0    shell/widgetsexplorer/package/contents/ui/view.qml

http://commits.kde.org/plasma-mobile/8570cee0b694d0e8823e4ac24b12cac5bf024aeb
Comment 3 Lamarque V. Souza 2012-05-03 18:04:39 UTC
Git commit 8eef793fc2761aee2fe27c12ede321c3490f5fbb by Lamarque V. Souza.
Committed on 03/05/2012 at 20:02.
Pushed by lvsouza into branch 'master'.

Add signal finishedListingChanged to MetadataModel so that we can stop
the busy indicator in ViewSearch.qml when the nepomuk query finishes.

M  +1    -1    applications/filebrowser/package/contents/ui/Browser.qml
M  +1    -1    applications/videoplayer/package/contents/ui/Toolbar.qml
M  +5    -1    components/metadatamodel/metadatamodel.cpp
M  +1    -0    components/metadatamodel/metadatamodel.h
M  +12   -4    components/mobilecomponents/ViewSearch.qml
M  +7    -2    qmlpackages/launcher/contents/ui/main.qml
M  +39   -0    shell/widgetsexplorer/package/contents/ui/MenuTabBar.qml
M  +3    -4    shell/widgetsexplorer/package/contents/ui/view.qml

http://commits.kde.org/plasma-mobile/8eef793fc2761aee2fe27c12ede321c3490f5fbb
Comment 4 Lamarque V. Souza 2012-05-25 17:51:49 UTC
Fixed in 2012-05-23-18-33-basyskom-plasma-active-testing-meego-usb-live.iso.